xpmtoppm(1)

NAZWA
xpmtoppm - tworzy przenośną pixmapę (.ppm) z pixmapy X11

SKŁADNIA
xpmtoppm [--alphaout={nazwa-pliku-alpha,-}] [-verbose] [plikxpm]

OPIS
Odczytuje pixmapę X11 (XPM w wersji 1 lub 3). Następnie zapisuje na standardowym wyjściu przenośną pixmapę (.ppm).

OPCJE

--alphaout=nazwa-pliku-alpha
    xpmtoppm tworzy plik PBM zawierający maskę przezroczystości obrazu. Jeśli obraz wejściowy nie zawiera informacji o przezroczystości, to nazwa-pliku-alpha zawiera wszystkie białe (nieprzejrzyste) wartości alpha. Jeśli nie poda się opcji --alphaout, to xpmtoppm nie wygeneruje pliku alpha, a jeśli obraz wejściowy zawierał informacje o przejrzystości, to xpmtoppm je zignoruje.

    Podanie - spowoduje, że xpmtoppm zapisze informacje alpha na standardowe wyjście i zignoruje obraz.

    Jeden ze sposobów używania pliku wyjściowego alpha jest opisany w pnmcomp(1).

--verbose
    xpmtoppm wyświetla informacje o przetwarzaniu na standardowym wyjściu błędów.

OGRANICZENIA
Format plików utworzonych przez XPM w wersji 3 nie jest w pełni obsługiwany. Komentarze mogą być zawarte tylko w pojedynczych liniach i dla każdego piksela musi istnieć domyślna nazwa koloru.

ZOBACZ TAKŻE
ppmtoxpm(1), pnmcomp(1), ppm(5)

AUTOR
Copyright (C) 1991 by Jef Poskanzer.

Wspacie wersji 3. formatu XPM dodał
    Arnaud Le Hors (lehors@mirsa.inria.fr)
    we wtorek, 9 kwietnia 9 1991

T◈UMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Łukasz Kowalczyk <lukow@tempac.okwf.fuw.edu.pl> i Robert Luberda <robert@debian.org>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.